# Poco

# template < class TArgs, bool useSender = true, bool senderIsConst = true >

# class FunctionPriorityDelegate

Library: Foundation
Package: Events
Header: Poco/FunctionPriorityDelegate.h

## Description

Wraps a C style function (or a C++ static fucntion) to be used as a priority delegate

## Inheritance

Direct Base Classes: AbstractPriorityDelegate < TArgs >

All Base Classes: AbstractPriorityDelegate < TArgs >

## Member Summary

Member Functions: clone, notify, operator =

## Types

### void

typedef void (* NotifyMethod)(const void *, TArgs &);

## Constructors

### FunctionPriorityDelegate

FunctionPriorityDelegate(
const FunctionPriorityDelegate & delegate
);

### FunctionPriorityDelegate

FunctionPriorityDelegate(
NotifyMethod method,
int prio
);

## Destructor

### ~FunctionPriorityDelegate

~FunctionPriorityDelegate();

## Member Functions

### clone

AbstractPriorityDelegate < TArgs > * clone() const;

### notify

bool notify(
const void * sender,
TArgs & arguments
);

### operator =

FunctionPriorityDelegate & operator = (
const FunctionPriorityDelegate & delegate
);

## Variables

### _receiverMethod

NotifyMethod _receiverMethod;